API Endpoint Group: /api/v1/sellers

Generated from OpenclawSellercentralApiRegistry. Run bin/rails sellercentral_api_docs:sync after API updates.

Endpoints

GET /api/v1/sellers

Returns all sellers this key’s user can access and marks the seller tied to the current key.

Query Options

  • None.

Request Examples

List sellers in the authenticated user’s scope
curl -s \
  -H "Authorization: Bearer oc_sk_your_key_here" \
  https://app.shipmentbot.com/api/v1/sellers

Response Examples

Success (200)
{
  "sellers": [
    {
      "name": "alpha seller",
      "current": true,
      "key_generated": "2026-03-04T10:32:12Z",
      "link": "https://app.shipmentbot.com/businesses/101-alpha-seller"
    },
    {
      "name": "bravo seller",
      "current": false,
      "key_generated": false,
      "link": "https://app.shipmentbot.com/businesses/102-bravo-seller"
    }
  ],
  "links": [
    {
      "rel": "self",
      "href": "https://app.shipmentbot.com/api/v1/sellers",
      "method": "GET"
    },
    {
      "rel": "api_root",
      "href": "https://app.shipmentbot.com/api/v1",
      "method": "GET"
    },
    {
      "rel": "traffic",
      "href": "https://app.shipmentbot.com/api/v1/traffic",
      "method": "GET"
    },
    {
      "rel": "sales_week_over_week",
      "href": "https://app.shipmentbot.com/api/v1/sales_week_over_week",
      "method": "GET"
    },
    {
      "rel": "sales_month_over_month",
      "href": "https://app.shipmentbot.com/api/v1/sales_month_over_month",
      "method": "GET"
    },
    {
      "rel": "sales_ytd",
      "href": "https://app.shipmentbot.com/api/v1/sales_ytd",
      "method": "GET"
    },
    {
      "rel": "sales_ltm",
      "href": "https://app.shipmentbot.com/api/v1/sales_ltm",
      "method": "GET"
    }
  ]
}

Error Examples

Missing access token (401)
{
  "error": "Unauthorized",
  "message": "Missing access token"
}
Invalid or expired token (401)
{
  "error": "Unauthorized",
  "message": "Invalid or expired access token"
}

Back to top

Copyright © ShipmentBot. All rights reserved.